//
//  WiFiConfigHeaderTableViewCell.swift
//  Example
//
//  Created by ldc on 2024/1/29.
//

import UIKit

class WiFiConfigHeaderTableViewCell: UITableViewCell {

    @IBOutlet weak var titleLabel: UILabel!
    
    @IBOutlet weak var enableSwitch: UISwitch!
    
    @IBAction func switchValueChange(_ sender: UISwitch) {
        enableChanged?(sender.isOn)
    }
    
    var enableChanged: ((Bool) -> Void)?
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
}
